oci_field_name
oci_field_scale
Funções para OCI8
PHP Manual

# oci_field_precision

(PHP 5, PECL oci8:1.1-1.2.4)

oci_field_precision — Tell the precision of a field

### Descrição

int oci_field_precision ( resource `$statement` , int `$field` )

Returns precision of the `field` .

For FLOAT columns, precision is nonzero and scale is -127. If precision is 0, then column is NUMBER. Else it's NUMBER(precision, scale).

### Parâmetros

`statement`

  A valid OCI statement identifier.

`field`

  Can be the field's index (1-based) or name.

### Valor Retornado

Returns the precision as an integer, or `FALSE` on errors.

### Notas

> Nota: In PHP versions before 5.0.0 you must use ocicolumnprecision() instead. This name still can be used, it was left as alias of oci_field_precision() for downwards compatability. This, however, is deprecated and not recommended.

### Veja Também

- oci_field_scale()
- oci_field_type()

oci_field_name
oci_field_scale
Funções para OCI8
PHP Manual